PasteBuffer holds copied music, and handles the action of pasting the music to a different point in the score. It does this by serializing the measure(s) from the source and then creating handling the overlap with existing music when deserializaing it.

### Hierarchy

- PasteBuffer

## Index

### Constructors

- constructor

### Methods

- _populateModifier
- _populateNew

## Constructors

### constructor

- new PasteBuffer(): PasteBuffer

- - Defined in src/smo/xform/copypaste.ts:43

  #### Returns PasteBuffer

## Methods

### _populateModifier

- _populateModifier(srcSelector: SmoSelector, destSelector: SmoSelector, staff: SmoSystemStaff): void

- - Defined in src/smo/xform/copypaste.ts:276

  If the source contains a staff modifier that ends on the source selection, copy the modifier

  #### Parameters

  - ##### srcSelector: SmoSelector

  - ##### destSelector: SmoSelector

  - ##### staff: SmoSystemStaff

  #### Returns void

### _populateNew

- _populateNew(voice: SmoVoice, measure: SmoMeasure, tickmap: TickMap, startSelector: SmoSelector): void

- - Defined in src/smo/xform/copypaste.ts:304

  Start copying the paste buffer into the destination by copying the notes and working out the measure overlap

  #### Parameters

  - ##### voice: SmoVoice

  - ##### measure: SmoMeasure

  - ##### tickmap: TickMap

  - ##### startSelector: SmoSelector

  #### Returns void

Generated using TypeDoc